<?php 
$wp_customize->add_section('pricing_area',array('title' => __( 'Pricing Section', 'luzuk' ),'panel' => 'luzuk_premium_home_panel'));
$wp_customize->add_setting('pricing_area_disable',array('sanitize_callback' => 'luzuk_sanitize_text',));
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'pricing_area_disable',
        array(
            'settings' => 'pricing_area_disable',
            'section' => 'pricing_area',
            'label' => __( 'Disable Section', 'luzuk' ),
            'on_off_label'  => array('on' => __( 'Yes', 'luzuk' ), 'off' => __( 'No', 'luzuk' )),
        )
    )
); 

backgroundManager($wp_customize, 'pricingsec', 'pricing_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'pricing_areapadding', 'pricing_area', 'Section Padding');

$wp_customize->add_setting(
    'pricing_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaTpadding',
    array(
        'settings'      => 'pricing_areaTpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'pricing_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaBpadding',
    array(
        'settings'      => 'pricing_areaBpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk' )
    )
);

lzCustomLable($wp_customize, 'pricing_areaheading', 'pricing_area', 'Section Heading ');


$wp_customize->add_setting('pricing_page_maintitle',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Pricing Plan', 'luzuk' )));
$wp_customize->add_control(
    'pricing_page_maintitle',
    array(
        'settings'      => 'pricing_page_maintitle',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'pricingarea_sectitle_clr', 'pricing_area', 'Section Heading Color ', '#180360');

addColorPalatOption($wp_customize, 'pricingarea_headingdot1', 'pricing_area', 'Section Heading Dot One Color', '#3dbcab');

addColorPalatOption($wp_customize, 'pricingarea_headingdot2', 'pricing_area', 'Section Heading Dot Two Color', '#f37a5d');

$wp_customize->add_setting('pricing_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'pricing_npp_heading',
        array(
            'settings'      => 'pricing_npp_heading',
            'section'       => 'pricing_area',
            'label'         => __( 'Pricing Plan To Show', 'luzuk' ),
        )
    )
);    

$wp_customize->add_setting('pricing_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'pricing_npp_count',
    array(
        'settings'      => 'pricing_npp_count',
        'section'       => 'pricing_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Plan To Show', 'luzuk' ),
        'choices'=>array(1,2,3,4,5,6,)
    )
);

for($i=1;$i<=6;$i++){
    $wp_customize->add_setting('pricing_plan_heading_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'pricing_plan_heading_'.$i,
            array(
                'settings' => 'pricing_plan_heading_'.$i,
                'section' => 'pricing_area',
                'label' => __( 'Pricing Plan '.$i, 'luzuk' ),
            )
        )
    ); 


$wp_customize->add_setting('pricing_plan_name_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'SMART PLAN', 'luzuk' )));

$wp_customize->add_control(
    'pricing_plan_name_'.$i,
    array(
        'settings' => 'pricing_plan_name_'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Add Plan Name Here', 'luzuk' )
    )
);

// $wp_customize->add_setting('plannum_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '01', 'luzuk' )));

// $wp_customize->add_control(
//     'plannum_'.$i,
//     array(
//         'settings' => 'plannum_'.$i,
//         'section' => 'pricing_area',
//         'type' => 'text',
//         'label' => __( 'Add Number', 'luzuk' )
//     )
// );


$wp_customize->add_setting('pricing_plan_unit_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '$', 'luzuk' )));
$wp_customize->add_control(
    'pricing_plan_unit_'.$i,
    array(
        'settings' => 'pricing_plan_unit_'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Add Plan Unit Here', 'luzuk' )
    )
);

$wp_customize->add_setting('pricing_plan_price_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '199', 'luzuk' )));
$wp_customize->add_control(
    'pricing_plan_price_'.$i,
    array(
        'settings' => 'pricing_plan_price_'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Add Plan Price Here', 'luzuk' )
    )
);

$wp_customize->add_setting('pricing_plan_month_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '/ month', 'luzuk' )));
$wp_customize->add_control(
    'pricing_plan_month_'.$i,
    array(
        'settings' => 'pricing_plan_month_'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Add Days/Month/year Here', 'luzuk' )
    )
);
         $wp_customize->add_setting('pricing_plan_content_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '  
           <li>Fully Professional Cleaner </li>
            <li>Living Room Cleaning</li>
            <li>Bed Room Cleaning</li>
            <li>Bathroom Cleaning</li>
            <li>Windows & Door Cleaning</li>', 'luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_content_'.$i,
            array(
                'settings' => 'pricing_plan_content_'.$i,
                'section' => 'pricing_area',
                'type' => 'textarea',
                'label' => __( 'Add Pricing Plan Content Here', 'luzuk' )
            )
        );

    /*code for button text*/
$wp_customize->add_setting(
    'pricing_page_button_title_'.$i,
    array(
        'sanitize_callback'=>'luzuk_sanitize_text',
        'default'=> __('Book Now', 'luzuk')
    )
);
$wp_customize->add_control(
    'pricing_page_button_title_'.$i,
    array(
        'settings' =>'pricing_page_button_title_'.$i,
        'section' => 'pricing_area',
        'type'=> 'text',
        'label'=> __('Add Button Text Here', 'luzuk')
    )
);

lzAddElement($wp_customize, 'pricing_plan_url_'.$i, 'pricing_area', $type = 'text', $label="Add Link For Pricing Plan ".$i."&nbsp;If Pricing Plan Selected", $callback ='esc_url', $default='#');

    }


lzCustomLable($wp_customize, 'pricing_areacolor', 'pricing_area', 'Pricing Section Color');

//addColorPalatOption($wp_customize, 'pricingarea_PlanbxbgClr', 'pricing_area', 'Plan Box BG Color ', '#3ff');

addColorPalatOption($wp_customize, 'pricingarea_Planp_tbgClr', 'pricing_area', 'Plan Price & Title BG Color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_PlanNameColor', 'pricing_area', 'Plan Title Color ', '#000');

addColorPalatOption($wp_customize, 'pricingarea_Planprice_color', 'pricing_area', 'Plan Price Color ', '#000');

addColorPalatOption($wp_customize, 'pricingarea_PlanContentColor', 'pricing_area', 'Plan Days Color ', '#504F51');

addColorPalatOption($wp_customize, 'pricingarea_PlanContentlisticnClr', 'pricing_area', 'Plan Content List Icon Color ', '#180360');

addColorPalatOption($wp_customize, 'pricingarea_PlanContentlistColor', 'pricing_area', 'Plan Content List Color ', '#140d07');

// Button
addColorPalatOption($wp_customize, 'pricing_ButtontextClr', 'pricing_area', 'Plan Button Text Color ', '#3fb7e9');

addColorPalatOption($wp_customize, 'pricing_ButtontexthvClr', 'pricing_area', 'Plan Button Text Hover Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_ButtonbgColor', 'pricing_area', 'Plan Button BG Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_ButtonbghoverColor', 'pricing_area', 'Plan Button BG Hover Color ', '#3fb7e9');

addColorPalatOption($wp_customize, 'pricing_ButtonbrdClr', 'pricing_area', 'Plan Button Border Color ', '#3fb7e9');


lzCustomLable($wp_customize, 'pricing_abgcolor', 'pricing_area', 'Section Box BG Color');

//Box 1 & 4
addColorPalatOption($wp_customize, 'pricingarea_Planbxhigh1bg1Clr', 'pricing_area', 'Plan Box Highlight 1st & 4th BG One Color ', '#fabcad');

addColorPalatOption($wp_customize, 'pricingarea_Planbxhigh1bg2Clr', 'pricing_area', 'Plan Box Highlight 1st & 4th BG Two Color ', '#f4866d');

//Box 2 & 5
addColorPalatOption($wp_customize, 'pricingarea_Planbxhigh2bg1Clr', 'pricing_area', 'Plan Box Highlight 2nd & 5th BG One Color ', '#fbdca5');

addColorPalatOption($wp_customize, 'pricingarea_Planbxhigh2bg2Clr', 'pricing_area', 'Plan Box Highlight 2nd & 5th BG Two Color ', '#f5bd50');

//Box 3 & 6

addColorPalatOption($wp_customize, 'pricingarea_Planbxhigh3bg1Clr', 'pricing_area', 'Plan Box Highlight 3rd & 6th BG One Color ', '#c7f4ef');

addColorPalatOption($wp_customize, 'pricingarea_Planbxhigh3bg2Clr', 'pricing_area', 'Plan Box Highlight 3rd & 6th BG Two Color ', '#4ce5d3');